Subject: Arndale ethernet regression

From: Charles Keepax <[email-masked]>
Date: Sun, 2 Nov 2014 16:12:00 +0000

Hi Guys,

I have been having an issue with the ethernet on Arndale and it
bisects down to this commit:

commit 3cc81d85ee01e5a0b7ea2f4190e2ed1165f53c31
Author: Michel Stam <[email-masked]>
asix: Don't reset PHY on if_up for ASIX 88772

I am afraid I am not overly familiar with the USB or networking
subsystems. But are we sure this patch is good? It seems to set
the reset callback to the link_reset function which feels a
little odd from my layman perspective. It doesn't look like there
could be any config settings or such that I am missing relating
to this patch.

Thanks,
Charles